'use strict';

var gulp = require('gulp'),
    sassLint = require('gulp-sass-lint');

gulp.task('default', function() {
    return gulp.src('**/*.s+(a|c)ss')
        .pipe(sassLint({
            files: {
                ignore: 'node_modules/**'
            },
            config: '.sass-lint.yml'
        }))
        .pipe(sassLint.format())
        .pipe(sassLint.failOnError())
});